Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCardinalSpline Class Reference

`#include <vtkCardinalSpline.h>`

Inheritance diagram for vtkCardinalSpline:

[legend]
Collaboration diagram for vtkCardinalSpline:

[legend]
List of all members.

## Detailed Description

computes an interpolating spline using a

Date:
  2002/11/12 20:09:10

Revision:
  1.22

a Cardinal basis.

vtkCardinalSpline is a concrete implementation of vtkSpline using a Cardinal basis.

See also:
  vtkSpline vtkKochanekSpline

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (67%)
  - Schroeder, Will (21%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkCardinalSpline.h)`
  - .`cxx` (`/Filtering/vtkCardinalSpline.cxx)`

Examples:
  vtkCardinalSpline (Examples)

Tests:
  vtkCardinalSpline (Tests)

Definition at line 53 of file vtkCardinalSpline.h.

## Public Types
typedef vtkSpline | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Compute ()
virtual float | Evaluate (float t)
virtual void | DeepCopy (vtkSpline *s)
## Static Public Methods
vtkCardinalSpline * | New ()
int | IsTypeOf (const char *type)
vtkCardinalSpline * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCardinalSpline ()
| ~vtkCardinalSpline ()
void | Fit1D (int n, float *x, float *y, float *w, float coefficients[][4], int leftConstraint, float leftValue, int rightConstraint, float rightValue)
void | FitClosed1D (int n, float *x, float *y, float *w, float coefficients[][4])

## Member Typedef Documentation

typedef vtkSpline vtkCardinalSpline::Superclass

| Reimplemented from vtkSpline. Definition at line 58 of file vtkCardinalSpline.h.

## Constructor & Destructor Documentation

vtkCardinalSpline::vtkCardinalSpline | ( |  | ) | `[protected]`

vtkCardinalSpline::~vtkCardinalSpline | ( |  | ) | `[inline, protected]`

| Definition at line 72 of file vtkCardinalSpline.h.

## Member Function Documentation

vtkCardinalSpline* vtkCardinalSpline::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCardinalSpline::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSpline.

int vtkCardinalSpline::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSpline.

virtual int vtkCardinalSpline::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSpline.

vtkCardinalSpline* vtkCardinalSpline::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSpline.

void vtkCardinalSpline::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSpline.

void vtkCardinalSpline::Compute | ( |  | ) | `[virtual]`

| Compute Cardinal Splines for each dependent variable Implements vtkSpline.

virtual float vtkCardinalSpline::Evaluate | ( | float | t | ) | `[virtual]`

| Evaluate a 1D cardinal spline. Implements vtkSpline.

virtual void vtkCardinalSpline::DeepCopy | ( | vtkSpline * | s | ) | `[virtual]`

| Deep copy of cardinal spline data. Reimplemented from vtkSpline.

void vtkCardinalSpline::Fit1D | ( | int | n,
|  | float * | x,
|  | float * | y,
|  | float * | w,
|  | float | coefficients[][4],
|  | int | leftConstraint,
|  | float | leftValue,
|  | int | rightConstraint,
|  | float | rightValue
| ) | `[protected]`

void vtkCardinalSpline::FitClosed1D | ( | int | n,
|  | float * | x,
|  | float * | y,
|  | float * | w,
|  | float | coefficients[][4]
| ) | `[protected]`

The documentation for this class was generated from the following file:

- Filtering/vtkCardinalSpline.h